/*
  Copyright (C) 2008 Alessandro Bugatti (alessandro.bugatti@istruzione.it)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*! \file
 *  \brief Classe per calcolare il preventivo di un'automobile
 *  \author Alessandro Bugatti
 *
 *  \version 0.1
 *  \date  Creazione  15/04/2009
 *  \date  Ultima modifica 15/04/2009
 *
 */

#ifndef PREVENTIVO_H
#define PREVENTIVO_H

#include <vector>
#include <string>

using namespace std;

class Preventivo
{
    vector <string> modelli;///<Contiene l'elenco dei modelli
    vector <double> valoriModelli;
    int modelloScelto;
    vector <string> motorizzazioni;
    vector <double> valoriMotorizzazioni;
    int motorizzazioneScelta;
    vector <string> colori;///<Contiene l'elenco dei colori
    vector <double> valoriColori;
    int coloreScelto;
public:
    Preventivo();
    vector <string> getModelli() const;
    void setModello(int i);
    vector <string> getMotorizzazioni() const;
    void setMotorizzazione(int i);
    vector <string> getColori() const;
    void setColore(int i);
    string getRiepilogo() const;
    double getPreventivo() const;
};

#endif // PREVENTIVO_H
